// Style declarations for the "Panel" content element.
@use "sass:map";

@mixin panel-border($type) {
  main .frame-type-uulmhack_web_panel.panel-type-#{$type} {
    border-color: map.get($panel-types, $type);

    header {
      background: map.get($panel-types, $type);
    }
  }
}

main .frame-type-uulmhack_web_panel {
  border-style: $panel-border-style;
  border-width: $panel-border-width;
  border-radius: $panel-border-radius;
  margin: $panel-margin;

  header h2 {
    font-size: $panel-heading-font-size;
    margin: 0;
    padding: $panel-headline-padding;
    text-decoration: none;
    color: $text-color;
  }

  .content {
    padding: $panel-headline-padding;
  }
}

@each $type in map.keys($panel-types) {
  @include panel-border($type);
}
